theater = theater or {}
theater.settings = theater.settings or {}

theater.settings.MaxQueue = 3
theater.settings.VideoLength = 1800
theater.settings.AllowSkipVote = true

theater.settings.maps = {}

theater.settings.maps["rp_downtown_fade_mg"] = {
	origin = Vector(-12018.541992188, 11077.568359375, 220.95962524414),
	angles = Angle(-0, -0, 90),
	mins = Vector(-12028.963867188, 9930.0634765625, -64),
	maxs = Vector(-11218.07421875, 11077.96875, 230),
	width = 3154.72,
	height = 920.75
}

theater.settings.maps["rp_rockford_v2b_mg"] = {
	origin = Vector(-1663.8591308594, 2159.5688476563, 1087.9172363281),
	angles = Angle(-0, -0, 90),
	mins = Vector(-840.0390625, 2167.9182128906, 444.03125),
	maxs = Vector(-1719.8944091797, 1160.0883789063, 1151.96875),
	width = 3071,
	height = 1727.5
}

theater.settings.maps["rp_newexton2_v3x"] = {
	origin = Vector(-1408.1297607422, 2456.4311523438, 4767.8564453125),
	angles = Angle(-0, -180, 90),
	mins = Vector(-1280.083984375, 2464.0776367188, 4028.03125),
	maxs = Vector(-2879.8981933594, 3519.923828125, 5055.96875),
	width = 4095,
	height = 2304
}

theater.settings.WeaponsAllowed = false

timer.Simple(0, function()
	if !TEAM_THEATER then return end

	theater.settings.BuildJobs = {
		[TEAM_OWNER] = true,
		[TEAM_STAFF] = true,
		[TEAM_THEATER] = true
	}

	theater.settings.AllowedJobs = {
		[TEAM_OWNER] = true,
		[TEAM_STAFF] = true,
		[TEAM_THEATER] = true,
		[TEAM_ZOLL] = true,
		[TEAM_JAILGUARD] = true,
		[TEAM_POLICEDOG] = true,
		[TEAM_POLICE] = true,
		[TEAM_CHIEF] = true,
		[TEAM_SEK] = true,
		[TEAM_SEKSNIPER] = true,
		[TEAM_SEKLEADER] = true,
		[TEAM_SECRETSERVICE] = true
	}
end)